/* #[info:		*/
/************************************************************************
*									*
*		       |\			/\			*
*			\\		  _    ||			*
*		       / \\	   _-_,	 / \\ =||=			*
*		      || ||	  ||_.	|| ||  ||			*
*		      || ||	   ~ || || ||  ||			*
*		       \\/	  ,-_-	\\_-|  \\,			*
*			    _____	 /  \				*
*					'----`				*
*									*
*		  Copyright (c) 1993  Jan van der Steen			*
*	       Centre for Mathematics and Computer Science		*
*		       Amsterdam, the Netherlands			*
*									*
*-----------------------------------------------------------------------*
*   You are not allowed to use this software in commercial software.	*
*   You are allowed to use this software in free software under the	*
*   condition that you maintain this integral message in the source.	*
*-----------------------------------------------------------------------*
* File	  : d_sgf.h							*
* Purpose : Write an SGF file from the internal Go game structure	*
* Version : 1.3								*
* Modified: 7/24/93 17:08:33						*
* Author  : Jan van der Steen (jansteen@cwi.nl)				*
************************************************************************/
/* #]info:		*/ 

#ifndef D_SGF_H
#define D_SGF_H

#ifdef __STDC__
#	define	PROTO(s) s
#else
#	define	PROTO(s) ()
#endif

void	game2sgf	PROTO((GOGAME *g));

#undef PROTO

#endif
