/* #[info:		*/
/************************************************************************
*									*
*					   ,, ,,			*
*				       _   || ||			*
*	    \\/\\/\\ '\\/\\ \\/\\/\\  < \, || ||  /'\\	_-_		*
*	    || || ||  || ;' || || ||  /-|| || || || || ||		*
*	    || || ||  ||/   || || || (( || || || || || ||		*
*	    \\ \\ \\  |/    \\ \\ \\  \/\\ \\ \\ \\,/  \\,/		*
*		     (							*
*		      -_-						*
*									*
*		  Copyright (c) 1993  Jan van der Steen			*
*	       Centre for Mathematics and Computer Science		*
*		       Amsterdam, the Netherlands			*
*									*
*-----------------------------------------------------------------------*
*   You are not allowed to use this software in commercial software.	*
*   You are allowed to use this software in free software under the	*
*   condition that you maintain this integral message in the source.	*
*-----------------------------------------------------------------------*
* File	  : mymalloc.h							*
* Purpose : Extra layer between program and system malloc		*
* Version : 1.3								*
* Modified: 7/24/93 17:08:42						*
* Author  : Jan van der Steen (jansteen@cwi.nl)				*
************************************************************************/
/* #]info:		*/ 

#ifndef __MYMALLOCH
#define __MYMALLOCH

#ifdef __STDC__
#	define	PROTO(s) s
#else
#	define	PROTO(s) ()
#endif

int	initmalloc	PROTO((long n));
void *	mymalloc	PROTO((long n));
void	myfree		PROTO((void *p));

#undef PROTO

#endif
