/* #[info:			*/
/************************************************************************
*									*
*		 ,		  ,		 ,,			*
*		||	  ,	 ||		 ||			*
*	       =||=  _-_  \\ /` =||=  /'\\  /'\\ ||  _-_,		*
*		||  || \\  \\	 ||  || || || || || ||_.		*
*		||  ||/	   /\\	 ||  || || || || ||  ~ ||		*
*		\\, \\,/  /  \;	 \\, \\,/  \\,/	 \\ ,-_-		*
*									*
*									*
*									*
*		  Copyright (c) 1993  Jan van der Steen			*
*	       Centre for Mathematics and Computer Science		*
*		       Amsterdam, the Netherlands			*
*									*
*-----------------------------------------------------------------------*
*   You are not allowed to use this software in commercial software.	*
*   You are allowed to use this software in free software under the	*
*   condition that you maintain this integral message in the source.	*
*-----------------------------------------------------------------------*
* File	  : textools.h							*
* Purpose : Write a Go data structure in PS diagrams and TeX text	*
* Version : 1.6								*
* Modified: 8/18/93 22:13:18						*
* Author  : Jan van der Steen (jansteen@cwi.nl)				*
************************************************************************/
/* #]info:			*/ 

#ifndef __TEXTOOLSH
#define __TEXTOOLSH

/* #[include:           */

#include "gogame.h"

/* #]include:           */ 
/* #[prototype:         */

#ifdef __STDC__
#       define  PROTO(s) s
#else
#       define  PROTO(s) ()
#endif

/*
 * d_pstex.c
 */
int		tex_figuresize	PROTO((int));
void		tex_header	PROTO((GOGAME *g));
void		tex_trailer	PROTO((void));
void		tex_text	PROTO((GOMOVE *t1, GOMOVE *t2, int n1, int n2));
void		text2tex	PROTO((char *t));

#undef PROTO

/* #]prototype:         */ 

#endif
