/* #[info:		*/
/************************************************************************
*									*
*		      |\		     ,, ,,			*
*		       \\		     || ||			*
*		      / \\	 \\/\\ \\ \\ || ||			*
*		     || ||	 || || || || || ||			*
*		     || ||	 || || || || || ||			*
*		      \\/	 \\ \\ \\/\\ \\ \\			*
*			   _____					*
*									*
*									*
*		  Copyright (c) 1993  Jan van der Steen			*
*	       Centre for Mathematics and Computer Science		*
*		       Amsterdam, the Netherlands			*
*									*
*-----------------------------------------------------------------------*
*   You are not allowed to use this software in commercial software.	*
*   You are allowed to use this software in free software under the	*
*   condition that you maintain this integral message in the source.	*
*-----------------------------------------------------------------------*
* File	  : d_null.c							*
* Purpose : Dump a Go data structure to /dev/null			*
* Version : 1.7								*
* Modified: 22 Mar 1995 09:42:49					*
* Author  : Jan van der Steen (jansteen@cwi.nl)				*
************************************************************************/
/* #]info:		*/ 
/* #[include:		*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "gogame.h"
#include "d_null.h"

/* #]include:		*/ 

/* #[null_init:		*/

int
null_init()
{
    return 1;
}

/* #]null_init:		*/ 
/* #[null_exit:		*/

void
null_exit()
{
}

/* #]null_exit:		*/ 
/* #[null_alloc:	*/

int
null_alloc(g)
GOGAME *g;
{
    return 1;
}

/* #]null_alloc:	*/ 
/* #[null_free:		*/

void
null_free(g)
GOGAME *g;
{
}

/* #]null_free:		*/ 
/* #[null_onmove:	*/

void
null_onmove(g, n1, c1, n2, c2)
GOGAME *g;
int	n1;
int	c1;
int	n2;
int	c2;
{
}

/* #]null_onmove:	*/ 
/* #[null_onstone:	*/

void
null_onstone(g, n, c, p)
GOGAME *g;
int	n;
int	c;
PLACE	p;
{
}

/* #]null_onstone:	*/ 
/* #[null_pass:		*/

void
null_pass(g, n, c)
GOGAME *g;
int	n;
int	c;
{
}

/* #]null_pass:		*/ 
/* #[null_time:		*/

void
null_time(g, btime, wtime)
GOGAME *g;
char *btime;
char *wtime;
{
}

/* #]null_time:		*/ 
/* #[null_emit:		*/

int
null_emit(g, m1, m2, t1, t2)
GOGAME *g;
GOMOVE *m1, *m2;
GOMOVE *t1, *t2;
{
    return 1;
}

/* #]null_emit:		*/ 

