/* #[info:			*/
/************************************************************************
*									*
*			      /\		    |\			*
*			_    ||		       _     \\			*
*		 _-_,  / \\ =||= ,._-_	_-_   < \,  / \\		*
*		||_.  || ||  ||	  ||   || \\  /-|| || ||		*
*		 ~ || || ||  ||	  ||   ||/   (( || || ||		*
*		,-_-  \\_-|  \\,  \\,  \\,/   \/\\  \\/			*
*		       /  \						*
*		      '----`						*
*									*
*		  Copyright (c) 1993  Jan van der Steen			*
*	       Centre for Mathematics and Computer Science		*
*		       Amsterdam, the Netherlands			*
*									*
*-----------------------------------------------------------------------*
*   You are not allowed to use this software in commercial software.	*
*   You are allowed to use this software in free software under the	*
*   condition that you maintain this integral message in the source.	*
*-----------------------------------------------------------------------*
* File	  : sgfread.h							*
* Purpose : Read a Smart Go Format Go game				*
* Version : 1.4								*
* Modified: 7/24/93 17:08:50						*
* Author  : Jan van der Steen (jansteen@cwi.nl)				*
************************************************************************/
/* #]info:			*/ 

#ifndef __SGFREADH
#define __SGFREADH

/* #[include:		*/

#include <stdio.h>
#include "gogame.h"

/* #]include:		*/ 
/* #[prototype:		*/

#ifdef __STDC__
#	define	PROTO(s) s
#else
#	define	PROTO(s) ()
#endif

GOGAME *	sgf_read	PROTO((char *filename));

#undef PROTO

/* #]prototype:		*/ 

#endif
